> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kinbox.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# List all products



## OpenAPI

````yaml get /v1/products
openapi: 3.0.0
info:
  title: Kinbox API
  description: Kinbox public API
  version: '2.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/products:
    get:
      tags:
        - v1Products
      summary: List all products
      operationId: getAllProducts
      parameters:
        - name: limit
          required: false
          in: query
          description: >-
            A limit on the number of objects to be returned. Limit can range
            between 1 and 100.
          schema:
            default: 10
            type: number
        - name: cursor
          required: false
          in: query
          description: >-
            A cursor for use in pagination. The cursor is the id of the last
            object returned in the previous request.
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductCursorPaginatedResponseDto'
components:
  schemas:
    ProductCursorPaginatedResponseDto:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ProductPublicDto'
        nextCursor:
          type: object
          nullable: true
          description: Cursor for the next page. Null if there are no more results.
      required:
        - data
        - nextCursor
    ProductPublicDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
          description: The name of the product.
        description:
          type: string
          description: The description of the product.
        price:
          type: number
          description: The price of the product.
        externalId:
          type: string
          description: >-
            The external id of the product that can be used to sync with other
            systems.
        isActive:
          type: boolean
          default: true
          description: >-
            Whether the product is active and selectable in CRM deals. Inactive
            products are hidden from regular members but preserved for sales
            history.
        customFields:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/CustomFieldPlaceholder'
          properties: {}
      required:
        - id
        - name
        - price
        - customFields
    CustomFieldPlaceholder:
      type: object
      properties:
        value:
          type: string
        type:
          type: string
      required:
        - value
        - type

````